spurious syntax error when updating to 2.4 ?

Simon Dahlbacka simon.dahlbacka at gmail.com
Thu Jul 21 10:37:29 CEST 2005


Hi,

I'm doing some preparation for a hopefully upcoming transition to
python 2.4 (from 2.3.4) on winxp platform

However, I'm getting SyntaxErrors in files that worked fine in 2.3, it
tells me that e.g.

newLanguage.language =
languageElement[0].firstChild.data.encode("ascii")

this line is broken

However, if I modify my file just for the heck of it and comment that
particular line, I still might get syntax error on that particular
line, or if I insert a line before that particular line I might get
away with it?

Has anyone seen anything similar, or even better knows what causes
this?

/Simon




More information about the Python-list mailing list